Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.describecoverage
Class SpatialDomain

    java.lang.Object
      org.deegree.ogcwebservices.wcs.describecoverage.SpatialDomain

All Implemented Interfaces:
  Cloneable

    public class SpatialDomain

extends Object
implements Cloneable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`SpatialDomain(Envelope[] envelops)`
`SpatialDomain(Envelope[] envelops, Object[] grid)`
`SpatialDomain(Envelope[] envelops, Surface[] surface)`
`SpatialDomain(Envelope[] envelops, Surface[] surface, Object[] grid)`

Method Summary
`Object` | `clone()`
`Envelope[]` | `getEnvelops()`
`Object[]` | `getGrid()`
`Surface[]` | `getSurface()`
`void` | `setEnvelops(Envelope[] envelops)`
`void` | `setGrid(Object[] grid)`
`void` | `setSurface(Surface[] surface)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpatialDomain

    public SpatialDomain(Envelope[] envelops)
                  throws WCSException

Parameters:
  `envelops` -
Throws:
  `WCSException`

### SpatialDomain

    public SpatialDomain(Envelope[] envelops,
                         Surface[] surface)
                  throws WCSException

Parameters:
  `envelops` -
  `surface` -
Throws:
  `WCSException`

### SpatialDomain

    public SpatialDomain(Envelope[] envelops,
                         Object[] grid)
                  throws WCSException

Parameters:
  `envelops` -
  `grid` -
Throws:
  `WCSException`

### SpatialDomain

    public SpatialDomain(Envelope[] envelops,
                         Surface[] surface,
                         Object[] grid)
                  throws WCSException

Parameters:
  `envelops` -
  `grid` -
Throws:
  `WCSException`

Method Detail

### getEnvelops

    public Envelope[] getEnvelops()

  Returns:
    Returns the envelops.

### setEnvelops

    public void setEnvelops(Envelope[] envelops)
                     throws WCSException

  Parameters:
    `envelops` - The envelops to set.
  Throws:
    `WCSException`

### getGrid

    public Object[] getGrid()

  Returns:
    Returns the grid.

### setGrid

    public void setGrid(Object[] grid)

  Parameters:
    `grid` - The grid to set.

### getSurface

    public Surface[] getSurface()

  Returns:
    Returns the surface.

### setSurface

    public void setSurface(Surface[] surface)

  Parameters:
    `surface` - The surface to set.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org